# Class AbstractDataSpec

java.lang.Object
uk.ac.starlink.ttools.plot2.data.AbstractDataSpec

All Implemented Interfaces:
  `DataSpec`

Direct Known Subclasses:
  `ColumnDataSpec, JELDataSpec`

public abstract class AbstractDataSpec extends Object implements DataSpec
Abstract superclass for DataSpec implementations. This handles object identity, so that `equals` and `hashCode` are implemented correctly.

Since:
  8 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`AbstractDataSpec()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface DataSpec

`createUserDataReader, getCoord, getCoordCount, getCoordId, getMaskId, getSourceTable, getUserCoordInfos, getUserCoordMappers, isCoordBlank, isMaskTrue`

## Constructor Details

### AbstractDataSpec

public AbstractDataSpec()

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object other)

Overrides:
  `equals` in class `Object`